Skip to main content
GET
/
workspaces
/
{workspacePublicId}
/
webhooks
Get all webhooks for a workspace
curl --request GET \
  --url https://kan.bn/api/v1/workspaces/{workspacePublicId}/webhooks \
  --header 'Authorization: Bearer <token>'
[
  {
    "publicId": "<string>",
    "name": "<string>",
    "url": "<string>",
    "events": [],
    "active": true,
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.kan.bn/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspacePublicId
string
required
Minimum string length: 12

Response

Successful response

publicId
string
required
name
string
required
url
string
required
events
enum<string>[]
required
Available options:
card.created,
card.updated,
card.moved,
card.deleted
active
boolean
required
createdAt
string
required
updatedAt
string | null
required